FreeBSD : kdelibs3 -- konqueror FTP command injection vulnerability (832e9d75-5bfc-11d9-a9e7-0001020eed82)

This script is Copyright (C) 2005-2013 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

Albert Puigsech Galicia reports that Konqueror (more specifically
kio_ftp) and Microsoft Internet Explorer are vulnerable to a FTP
command injection vulnerability which can be exploited by tricking an
user into clicking a specially crafted FTP URI.

It is also reported by Ian Gulliver and Emanuele Balla that this
vulnerability can be used to tricking a client into sending out emails
without user interaction.

See also :

http://marc.info/?l=bugtraq&m=110245752232681
http://marc.info/?l=full-disclosure&m=110387390226693
http://marc.info/?l=full-disclosure&m=110390734925183
http://www.kde.org/info/security/advisory-20050101-1.txt
http://www.nessus.org/u?8aad3fc6

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 6.5
(CVSS2#E:H/RL:OF/RC:C)
Public Exploit Available : true

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 19008 (freebsd_pkg_832e9d755bfc11d9a9e70001020eed82.nasl)

Bugtraq ID: 11827

CVE ID: CVE-2004-1165

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now